Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
faiss::gpu::DeviceScope Class Reference

`#include <DeviceUtils.h>`

## Public Member Functions
| DeviceScope (int device)

## Detailed Description

RAII object to set the current device, and restore the previous device upon destruction

Definition at line 55 of file DeviceUtils.h.

The documentation for this class was generated from the following files:

- DeviceUtils.h
- DeviceUtils.cpp